TSHTTPTXNSERVERADDRGET(3ts)

NAME
TSHttpTxnServerAddrGet - TSHttpTxnServerAddrGet API function

SYNOPSIS

#include <ts/ts.h>

    sockaddr const* TSHttpTxnServerAddrGet(TSHttpTxn txnp)

DESCRIPTION

Get the origin server address for transaction txnp.

NOTE:
        The pointer is valid only for the current callback. Clients that need to keep the value across callbacks must maintain their own storage.

SEE ALSO

TSAPI(3ts), TSHttpTxnServerAddrSet(3ts)

COPYRIGHT
2018, dev@trafficserver.apache.org